/** Генератор маски для проверки допустимых символов при вводе времени в формате HH:MM. */
export declare const generateTimeMask: (value: string) => (string | RegExp)[];
/**
 * Регулярное выражение для нахождения чисел и латинских букв, необходимо для
 * обхода деталей имплементации `MaskedInputUIBase.onKeyDown` — при наличии
 * символа `-` в маске будет происходить двойное удаление на Backspace/Delete.
 * Изменение имплементации `onKeyDown` сопряжено с сложностями проверки
 * возможных отклонений поведения + невозможности найти требования для всех
 * типов полей.
 */
export declare const alphabetDigitsRegex: RegExp;
